Get events for a message
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": "<string>",
"type": "<string>",
"data": {
"content": "This is my message",
"mentions": [
{
"configurationId": "7f3a9c2b1e"
}
],
"context": {
"username": "johndoe123",
"timezone": "America/New_York",
"fullName": "John Doe",
"email": "john.doe@example.com",
"profilePictureUrl": "https://example.com/profiles/johndoe123.jpg",
"agenticMessageData": {
"originMessageId": "2b8e4f6a0c"
}
}
}
}
]
}Conversations
Get events for a message
Get events for a message in the workspace identified by .
GET
/
api
/
v1
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
messages
/
{mId}
/
events
Get events for a message
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
ID of the conversation
ID of the message
Query Parameters
ID of the last event received
Response
The events
Show child attributes
Show child attributes
⌘I